package org.waxworlds.importcontacts;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class WizardActivity extends Activity
{
	private int _nextState = 0;

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);

		// set up next button
		Button next = (Button)findViewById( R.id.next );
		next.setOnClickListener( new View.OnClickListener() {
			public void onClick( View view ) {
				switchToState( _nextState );
			}
		} );

		// set up back button
		Button back = (Button)findViewById( R.id.back );
		back.setOnClickListener( new View.OnClickListener() {
			public void onClick( View view ) {
				setResult( RESULT_OK );
				finish();
			}
		} );

		// enable back button?
		Bundle extras = getIntent().getExtras();
		if( extras != null ) {
			Boolean backstate = extras.getBoolean( "backstate" );
			if( backstate != null )
				( (Button)findViewById( R.id.back ) ).setEnabled( true );
		}
	}

	protected void setNextState( int nextState )
	{
		// set next state and enable button
		_nextState = nextState;
		( (Button)findViewById( R.id.next ) ).setEnabled( true );
	}

	private void switchToState( int newState )
	{
		if( newState != 0 )
		{
			// create result data bundle
			Bundle bundle = new Bundle();
			bundle.putInt( "nextstate", newState );

			// create response intent and finish
			Intent i = new Intent();
			i.putExtras( bundle );
			setResult( RESULT_OK, i );
			finish();
		}
	}

	public SharedPreferences getSharedPreferences()
	{
		return super.getSharedPreferences( "ImportContacts", 0 );
	}
}